2 Replies Latest reply on Jun 21, 2013 8:01 AM by Todd_Kopriva

    System requirements message when trying to download latest AE

    craig Van Antwerp

      I bought the CC AE three weeks ago. My IT tech had to help me and we even upgraded the computer for performance. When I try to download the new one with the touted VFX I get a system requirements message. "See requirements below" Is the new one so advanced I need to upgrade yet again?